%define major        1
%define libname      %mklibname %{name} %{major}
%define libnamedev   %mklibname %{name} -d

Name:           openctm
Version:        1.0.3
Release:        %mkrel 1
Epoch:          0
Summary:        Library for compression of 3D triangle meshes
License:        zlib
Group:          System/Libraries
URL:            http://openctm.sourceforge.net/
Source0:        https://sourceforge.net/projects/openctm/files/OpenCTM-%{version}/OpenCTM-%{version}-src.tar.bz2
Patch0:         makefiles.patch
BuildRequires:  jpeg8-devel
BuildRequires:  glew-devel
BuildRequires:  freeglut-devel
BuildRequires:  zlib-devel
BuildRequires:  gtk2-devel
BuildRequires:  pnglite-devel
BuildRequires:  tinyxml-devel
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  rply-devel

%description
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API. 

%package -n %{libname}
Summary:        Shared libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains the OpenCTM runtime library.

%package -n %{libnamedev}
Summary:        Header files and libraries for development with %{name}
Group:          Development/C
Requires:       %{libname} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Provides:       lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:       %{_lib}%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
Header files and libraries for development with %{name}.

%package -n python-%{name}
Summary:        Python bindings for %{name}
Group:          Development/Python
BuildArch:      noarch
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n python-openctm
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains Python binding for OpenCTM library.

%package -n python3-%{name}
Summary:        Python 3 bindings for %{name}
Group:          Development/Python
BuildArch:      noarch
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n python3-%{name}
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains Python 3 binding for OpenCTM library.

%package doc
Summary:        Documentation for %{name} library and tools
Group:          System/Libraries
BuildArch:      noarch
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description doc
OpenCTM — the Open Compressed Triangle Mesh file format — is a file format, 
a software library and a tool set for compression of 3D triangle meshes. 
The geometry is compressed to a fraction of comparable file formats, 
and the format is easily accessible through a simple, portable API.

This package contains %{name} documentation.

%prep
%setup -q -n OpenCTM-%{version}
rm -f doc/DevelopersManual.pdf
rm -f doc/FormatSpecification.pdf
rm -rf tools/glew
rm -rf tools/jpeg
rm -rf tools/pnglite
rm -rf tools/tinyxml
rm -rf tools/zlib
dos2unix lib/Makefile.linux
%patch0 -p1 

ln -s -f Makefile.linux Makefile

%build
%make LIBDIR=%{_libdir}/

%install
%{makeinstall_std} LIBDIR=%{_libdir}/

mkdir -p %{buildroot}%{python_sitelib}
mkdir -p %{buildroot}%{python3_sitelib}
install -m 644 bindings/python/openctm.py %{buildroot}%{python_sitelib}/openctm.py
install -m 644 bindings/python/openctm.py %{buildroot}%{python3_sitelib}/openctm.py

%files
%doc README.txt
%{_bindir}/ctmconv
%{_bindir}/ctmviewer
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/*

%files -n python-%{name}
%doc bindings/python/ctminfo.py README.txt
%{python_sitelib}/*

%files -n python3-%{name}
%doc bindings/python/ctminfo.py README.txt
%{python3_sitelib}/*

%files doc
%doc doc/APIReference/* README.txt



%changelog
* Thu Nov 21 2013 philippem <philippem> 0:1.0.3-1.mga4
+ Revision: 552200
- add python, python3 and doc sub packages

* Wed Nov 20 2013 philippem <philippem> 0:1.0.3-0.mga4
+ Revision: 552104
- imported package openctm

